View Issue Details

IDProjectCategoryView StatusLast Update
0001655PartDesignBugpublic2015-12-15 13:18
Reportertriplus Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0001655: Pocket type UpToFirst and UpToFace doesn't produce expected results.
DescriptionPocket type UpToFirst and UpToFace don't produce the same results as pocket type Length and ThroughAll does.
Steps To Reproduce1.) In PartDesign insert Cube.
2.) On one face of the Cube create sketch and use Pocket.

If sketch contains single circle pocket type UpToFirst and UpToFace produce expected results.

If sketch contains more circles pocket type UpToFirst and UpToFace doesn't produce expected results.
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0000850 new FreeCAD Write own and better version of BRepFeat_MakePrism 

Activities

wmayer

2015-05-15 20:25

administrator   ~0006141

Search for BRepFeat_MakePrism at http://occ670doc.techcpp.com/html/user_guides__modeling_algos.html

wmayer

2015-05-16 10:04

administrator   ~0006143

Also discussed in the forum at: http://forum.freecadweb.org/viewtopic.php?f=3&t=10875#p87955

Related Changesets

FreeCAD: master a6436f7d

2015-05-16 12:44:07

wmayer

Details Diff
+ fixes 0001655: Pocket type UpToFirst and UpToFace doesn't produce expected results. Affected Issues
0001655
mod - src/Mod/PartDesign/App/FeaturePocket.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-30 16:52 triplus New Issue
2015-05-15 20:15 wmayer Relationship added related to 0000850
2015-05-15 20:25 wmayer Note Added: 0006141
2015-05-16 10:04 wmayer Note Added: 0006143
2015-05-16 11:01 wmayer Changeset attached => FreeCAD Master master a6436f7d
2015-05-16 11:01 wmayer Assigned To => wmayer
2015-05-16 11:01 wmayer Status new => closed
2015-05-16 11:01 wmayer Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16